summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/bluejeans/README9
-rw-r--r--network/bluejeans/bluejeans.SlackBuild86
-rw-r--r--network/bluejeans/bluejeans.info10
-rw-r--r--network/bluejeans/doinst.sh10
-rw-r--r--network/bluejeans/slack-desc19
5 files changed, 134 insertions, 0 deletions
diff --git a/network/bluejeans/README b/network/bluejeans/README
new file mode 100644
index 0000000000..ebd0af6fdc
--- /dev/null
+++ b/network/bluejeans/README
@@ -0,0 +1,9 @@
+bluejeans (Audio/Video conferencing client)
+
+The Blue Jeans App is a desktop application that allows a user
+to communicate over audio/video with the Blue Jeans multi-party
+interoperable cloud conferencing service. The BlueJeans desktop app
+delivers the best video meeting experience, clearest audio,
+and smoothest screen sharing on Linux.
+
+This SB script repackages RPM to Slackware package
diff --git a/network/bluejeans/bluejeans.SlackBuild b/network/bluejeans/bluejeans.SlackBuild
new file mode 100644
index 0000000000..5544a07e03
--- /dev/null
+++ b/network/bluejeans/bluejeans.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for bluejeans
+
+# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bluejeans
+VERSION=${VERSION:-1.37.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit -1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rpm2cpio $CWD/$PRGNAM-$VERSION.$ARCH.rpm | cpio -idmv
+
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+chmod 755 opt/bluejeans/bluejeans
+patchelf --replace-needed libudev.so.0 libudev.so opt/bluejeans/bluejeans-bin
+
+mkdir -p usr/{bin,doc/$PRGNAM-$VERSION,share/{applications,icons}}
+
+ln -s ../../opt/$PRGNAM/$PRGNAM usr/bin
+ln -s ../../../opt/$PRGNAM/$PRGNAM.desktop usr/share/applications
+ln -s ../../../opt/$PRGNAM/credits.html usr/doc/$PRGNAM-$VERSION
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+(cd opt/$PRGNAM/icons; find . -type d -exec mkdir -p ../../../usr/share/icons/{} \;)
+for i in $(find opt/$PRGNAM/icons -type f); do
+ sd=$(echo $i | cut -d/ -f4-)
+ ln -s ../../$(echo $sd | sed 's:[^/][^/]*:..:g')/$i usr/share/icons/$sd
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/bluejeans/bluejeans.info b/network/bluejeans/bluejeans.info
new file mode 100644
index 0000000000..ca91f442e1
--- /dev/null
+++ b/network/bluejeans/bluejeans.info
@@ -0,0 +1,10 @@
+PRGNAM="bluejeans"
+VERSION="1.37.22"
+HOMEPAGE="https://www.bluejeans.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://swdl.bluejeans.com/desktop/linux/1.37/1.37.22/bluejeans-1.37.22.x86_64.rpm"
+MD5SUM_x86_64="fa34e81272a0fc37ef03daa3ff881f15"
+REQUIRES="patchelf"
+MAINTAINER="Igor Alexandrov"
+EMAIL="igor.s.alexandrov@gmail.com"
diff --git a/network/bluejeans/doinst.sh b/network/bluejeans/doinst.sh
new file mode 100644
index 0000000000..4a25de5e6f
--- /dev/null
+++ b/network/bluejeans/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/bluejeans/slack-desc b/network/bluejeans/slack-desc
new file mode 100644
index 0000000000..8de484cf9a
--- /dev/null
+++ b/network/bluejeans/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bluejeans: bluejeans (Audio/Video conferencing client)
+bluejeans:
+bluejeans: The Blue Jeans App is a desktop application that allows a user
+bluejeans: to communicate over audio/video with the Blue Jeans multi-party
+bluejeans: interoperable cloud conferencing service. The BlueJeans desktop app
+bluejeans: delivers the best video meeting experience, clearest audio,
+bluejeans: and smoothest screen sharing on Linux.
+bluejeans:
+bluejeans: https://www.bluejeans.com/
+bluejeans:
+bluejeans: